
Infrastructure - Task #984

Story # 981 (Closed): Persist Nodelist in Metacat 

Modify resolve to pull nodeList from Metacat

2010-10-07 21:31 - Robert Waltz

Status: Closed Start date: 2010-10-07

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.10-Block.2   

Milestone: CCI-0.5 Story Points:  

Product Version: *   

Description

History

#1 - 2010-11-08 20:48 - Rob Nahf

assuming a call to cn/meta is the way to do this, the main decision is specifying the baseURL in such a way as to accommodate all of the different

environments (desktop unit testing, devlopment, production).

#2 - 2010-11-09 17:54 - Rob Nahf

with regards to previous comment:  should be "assuming cn/node" 

#3 - 2010-11-09 20:35 - Rob Nahf

- Status changed from New to Closed

- % Done changed from 0 to 100

updated cn/resolve to take http://localhost/cn/node as the location specifier by default for deployments (via web.xml parameter.  This is an

environment neutral solution, and gets away from hardcoded file names.  (resolve can still accept file paths as location specifiers, if needed).
